%define pypi_name jsonpointer

Name:           python-jsonpointer
Version:        2.4
Release:        %mkrel 3
Group:          Development/Python
Summary:        Identify specific nodes in a JSON document (RFC 6901)

License:        Modified BSD License
URL:            https://pypi.org/project/jsonpointer/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Library to resolve JSON Pointers according to RFC 6901.
(http://tools.ietf.org/html/rfc6901)

%package -n     python3-%{pypi_name}
Summary:        Identify specific nodes in a JSON document (RFC 6901)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to resolve JSON Pointers according to RFC 6901.
(http://tools.ietf.org/html/rfc6901)

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonpointer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jsonpointer


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.4-3.mga10
+ Revision: 2238393
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.4-2.mga10
+ Revision: 2155154
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 2.4-1.mga10
+ Revision: 2021721
- new version 2.4
- use %%pyproject_buildrequires

* Sun Oct 22 2023 papoteur <papoteur> 2.3-1.mga10
+ Revision: 2000273
- new 2.3

* Wed Mar 23 2022 umeabot <umeabot> 2.2-2.mga9
+ Revision: 1823101
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 2.2-1.mga9
+ Revision: 1781148
- version 2.2
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 2.1-1.mga9
+ Revision: 1706953
- new version: 2.1

* Sun Mar 21 2021 daviddavid <daviddavid> 2.0-2.mga9
+ Revision: 1706952
- rebuild for python 3.9
- remove bundled egg-info

* Sun Nov 15 2020 guillomovitch <guillomovitch> 2.0-1.mga8
+ Revision: 1646380
- new version 2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.10-6.mga8
+ Revision: 1532494
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.10-5.mga8
+ Revision: 1442466
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.10-4.mga7
+ Revision: 1351668
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.10-3.mga7
+ Revision: 1289159
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.10-2.mga7
+ Revision: 1135470
- Rebuild for python 3.6

* Sat Dec 19 2015 philippem <philippem> 1.10-1.mga6
+ Revision: 912172
- update to 1.10

* Wed Oct 28 2015 philippem <philippem> 1.9-1.mga6
+ Revision: 896109
- update to 1.9

* Sat Oct 10 2015 tv <tv> 1.1-7.mga6
+ Revision: 888807
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 748783
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-5.mga5
+ Revision: 728856
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 688100
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1-3.mga5
+ Revision: 628726
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 542478
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 philippem <philippem> 1.1-1.mga4
+ Revision: 497629
- imported package python-jsonpointer

